Debian Bug report logs - #614610
[alsa-base] after feb 22, 2011 Squeeze "upgrade," alsa will not load my sound module (echo mia). NO sound.

version graph

Package: alsa-base; Maintainer for alsa-base is Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>; Source for alsa-base is src:alsa-base.

Reported by: hwpeters@jamadots.com

Date: Tue, 22 Feb 2011 16:39:05 UTC

Severity: normal

Found in version alsa-driver/1.0.23+dfsg-2

Fix blocked by 597897: RFP: alsa-firmware -- firmware binaries used by each alsa-firmware-loader program, 627153: RFP: alsa-firmware -- firmware binaries used by each alsa-firmware-loader program

Forwarded to https://bugtrack.alsa-project.org/alsa-bug/view.php?id=5282

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>:
Bug#614610; Package alsa-base. (Tue, 22 Feb 2011 16:39:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to hwpeters@jamadots.com:
New Bug report received and forwarded. Copy sent to Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>. (Tue, 22 Feb 2011 16:39:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Henry W. Peters" <hwpeters@jamadots.com>
To: submit@bugs.debian.org
Subject: [alsa-base] after feb 22, 2011 Squeeze "upgrade," alsa will not load my sound module (echo mia). NO sound.
Date: Tue, 22 Feb 2011 11:16:57 -0500
[Message part 1 (text/plain, inline)]
Package: alsa-base
Version: 1.0.23+dfsg-2
Severity: serious

--- Please enter the report below this line. ---

I said "alsa-base," but in truth, I have not a clue as to the actual 
problem (could be some other feature of alsa, or even something else), 
please read on.

After a Feb. 2, 2011 Squeeze "upgrade" my echo mia sound card module 
would not load (by alsa). I will report, as per requested to the 
alsa-bug, at the given address (I didn't know until it was presented) 
https://bugtrack.alsa-project.org/alsa-bug. However, this was caused (to 
the best of my limited knowledge), by some changes, as I said, in a 
rather massive Debian Squeeze "upgrade," I had not changed any 
parameters, files, hardware, etc., either just prior to, or after this 
"upgrade."


This is some of what I complained about to the Debian developers forum 
(with no response!):

   "Rosegarden crashes, Real Audio (Helix 11), crashes, Jack (by
   itself) will not start up (via qjackctl), Ardour can not open
   (start) Jack, & probably other problems I have not yet encountered...

   I discovered that I can get Jack to start up by loading ZynAddSubFX
   (but no sound is played), & then Rosegarden & Ardour will load
   properly, minus audio (i.e., midi functions work, audio in
   previously recorded files show as playing, but no sound).

   I went through the alsa check list (viewtopic.php?f=16&t=53708
   <http://forums.debian.net/viewtopic.php?f=16&t=53708>). Nothing
   there I tried helped."

I have contacted the person who wrote the echo driver (Giuliano Pochini 
<pochini@shiny.it>), & he apparently knew nothing about this situation. 
I welcome any inquiries for further information, suggestions... or what 
ever, & freely admit, I am rather poking in the dark here, so the 
information I offer, may not be what you need to know.

Thanks for your attention to this matter, as a functioning audio system 
is important to my work.

Henry Peters

--- System information. ---
Architecture: i386
Kernel: Linux 2.6.32-5-686

Debian Release: wheezy/sid
500 unstable www.debian-multimedia.org
500 unstable debian.tagancha.org
500 unstable debian.scribus.net
500 testing ftp.de.debian.org
500 testing debian.tagancha.org
500 stable http.us.debian.org

--- Package information. ---
Depends (Version) | Installed
===================================-+-==============
lsof (>= 4.64) | 4.81.dfsg.1-1
module-init-tools (>= 3.2.1) | 3.12-1
linux-sound-base | 1.0.23+dfsg-2
udev | 164-3
libc6 (>= 2.3.6-6~) | 2.11.2-11


Recommends (Version) | Installed
=========================-+-===========
alsa-utils | 1.0.23-3


Suggests (Version) | Installed
===================================-+-=============
apmd (>= 3.0.2-1) |
alsa-oss | 1.0.17-4
oss-compat |
libasound2-plugins (>= 1.0.18) |



--- Output from package bug script ---
--- Begin additional package status ---
Desired=Unknown/Install/Remove/Purge/Hold
| 
Status=Not/Inst/Conf-files/Unpacked/halF-conf/Half-inst/trig-aWait/Trig-pend 

|/ Err?=(none)/Reinst-required (Status,Err: uppercase=bad)
||/ Name Version Description
+++-====================================-=================================-===================================================================================================================================================================================================================== 

ii libasound2 1.0.23-2.1 shared library for ALSA applications
--- End additional package status ---
--- Begin /proc/asound/version ---
Advanced Linux Sound Architecture Driver Version 1.0.21.
--- End /proc/asound/version ---
--- Begin /proc/asound/cards ---
0 [Mia ]: Echo_Mia - Mia
Mia rev.1 (DSP56361) at 0xfe900000 irq 17
--- End /proc/asound/cards ---
--- Begin /dev/snd/ listing ---
total 0
drwxr-xr-x 2 root root 60 Feb 22 10:04 by-path
crw-rw----+ 1 root audio 116, 8 Feb 22 10:04 controlC0
crw-rw----+ 1 root audio 116, 4 Feb 22 10:04 midiC0D0
crw-rw----+ 1 root audio 116, 7 Feb 22 10:04 pcmC0D0c
crw-rw----+ 1 root audio 116, 6 Feb 22 10:04 pcmC0D0p
crw-rw----+ 1 root audio 116, 5 Feb 22 10:04 pcmC0D1c
crw-rw----+ 1 root audio 116, 3 Feb 22 10:04 seq
crw-rw----+ 1 root audio 116, 2 Feb 22 10:04 timer
--- End /dev/snd/ listing ---

[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>:
Bug#614610; Package alsa-base. (Tue, 22 Feb 2011 20:18:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Elimar Riesebieter <riesebie@lxtec.de>:
Extra info received and forwarded to list. Copy sent to Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>. (Tue, 22 Feb 2011 20:18:10 GMT) Full text and rfc822 format available.

Message #10 received at 614610@bugs.debian.org (full text, mbox):

From: Elimar Riesebieter <riesebie@lxtec.de>
To: hwpeters@jamadots.com, 614610@bugs.debian.org
Subject: Re: [Pkg-alsa-devel] Bug#614610: [alsa-base] after feb 22, 2011 Squeeze "upgrade, " alsa will not load my sound module (echo mia). NO sound.
Date: Tue, 22 Feb 2011 21:14:36 +0100
* Henry W. Peters [110222 11:16 -0500]:
> Package: alsa-base
> Version: 1.0.23+dfsg-2
> Severity: serious
> 
> --- Please enter the report below this line. ---
> 
> I said "alsa-base," but in truth, I have not a clue as to the actual problem
> (could be some other feature of alsa, or even something else), please read
> on.
> 
> After a Feb. 2, 2011 Squeeze "upgrade" my echo mia sound card module would
> not load (by alsa). I will report, as per requested to the alsa-bug, at the
> given address (I didn't know until it was presented)
> https://bugtrack.alsa-project.org/alsa-bug. However, this was caused (to the
> best of my limited knowledge), by some changes, as I said, in a rather
> massive Debian Squeeze "upgrade," I had not changed any parameters, files,
> hardware, etc., either just prior to, or after this "upgrade."
> 
> 
> This is some of what I complained about to the Debian developers forum (with
> no response!):

We have first step down a bit and check wether alsa is up:

Please post the outputs of:

$ lsmod | grep snd
$ cat /proc/asound/cards

Elimar


-- 
  We all know Linux is great... it does infinite loops in 5 seconds.
        -- Linus Torvalds




Information forwarded to debian-bugs-dist@lists.debian.org, Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>:
Bug#614610; Package alsa-base. (Tue, 22 Feb 2011 22:15:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Elimar Riesebieter <riesebie@lxtec.de>:
Extra info received and forwarded to list. Copy sent to Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>. (Tue, 22 Feb 2011 22:15:13 GMT) Full text and rfc822 format available.

Message #15 received at 614610@bugs.debian.org (full text, mbox):

From: Elimar Riesebieter <riesebie@lxtec.de>
To: 614610@bugs.debian.org
Cc: "Henry W. Peters" <hwpeters@jamadots.com>
Subject: Re: Bug#614610: [alsa-base] after feb 22, 2011 Squeeze "upgrade, " alsa will not load my sound module (echo mia). NO sound.
Date: Tue, 22 Feb 2011 23:13:58 +0100
* Henry W. Peters [110222 16:13 -0500]:
> Hi Elimar,
> 
> I posted the following on a note at the alsa-devel bug (#614610) web site.
> 
> Thanks for your reply, & attentions, hope this helps some.
> 
> Henry
> 
> ~$ lsmod | grep snd
> snd_mia                16764  1
> snd_seq_midi            3576  0
> snd_seq_midi_event      3684  1 snd_seq_midi
> snd_rawmidi            12513  2 snd_mia,snd_seq_midi
> snd_pcm                47226  2 snd_mia
> snd_seq                35463  2 snd_seq_midi,snd_seq_midi_event
> snd_timer              12258  2 snd_pcm,snd_seq
> snd_seq_device          3673  3 snd_seq_midi,snd_rawmidi,snd_seq
> snd                    34375  7
> snd_mia,snd_rawmidi,snd_pcm,snd_seq,snd_timer,snd_seq_device
> soundcore               3450  1 snd
> snd_page_alloc          5045  2 snd_mia,snd_pcm
> 
> 
> ~$ cat /proc/asound/cards
>  0 [Mia            ]: Echo_Mia - Mia
>                       Mia rev.1 (DSP56361) at 0xfe900000 irq 17


The driver for your card is loaded. Can you please test the sound
playing a simmple wave file?

<CTRL> <ALT> <F2>
Login
$ aplay -vv <some_wave_file.wav>

Elimar


-- 
  "Talking much about oneself can also 
   be a means to conceal oneself."
         -Friedrich Nietzsche




Information forwarded to debian-bugs-dist@lists.debian.org, Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>:
Bug#614610; Package alsa-base. (Tue, 22 Feb 2011 22:57:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Elimar Riesebieter <riesebie@lxtec.de>:
Extra info received and forwarded to list. Copy sent to Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>. (Tue, 22 Feb 2011 22:57:10 GMT) Full text and rfc822 format available.

Message #20 received at 614610@bugs.debian.org (full text, mbox):

From: Elimar Riesebieter <riesebie@lxtec.de>
To: 614610@bugs.debian.org
Cc: "Henry W. Peters" <hwpeters@jamadots.com>
Subject: Re: Bug#614610: [alsa-base] after feb 22, 2011 Squeeze "upgrade, " alsa will not load my sound module (echo mia). NO sound.
Date: Tue, 22 Feb 2011 23:52:37 +0100
[Message part 1 (text/plain, inline)]
* Henry W. Peters [110222 17:28 -0500]:
> Hi Elimar,
> 
> Here is the result of
> 
> ~$ aplay -vv /home/henry/Music/LouisArmstrong.wav
> Playing WAVE '/home/henry/Music/LouisArmstrong.wav' : Signed 16 bit Little

Do you have a $HOME/.asoundrc flowing around?
If so, move your .asoundrc to .asoundrc.save and test again.

Could you please test the same as root?

Are the mixer controls set right?

> Endian, Rate 44100 Hz, Stereo
> aplay: set_params:1116: Unable to install hw params:
> ACCESS:  RW_INTERLEAVED
> FORMAT:  S16_LE
> SUBFORMAT:  STD
> SAMPLE_BITS: 16
> FRAME_BITS: 32
> CHANNELS: 2
> RATE: 44100
> PERIOD_TIME: (124807 124808)
> PERIOD_SIZE: 5504
> PERIOD_BYTES: 22016
> PERIODS: 4
> BUFFER_TIME: (499229 499230)
> BUFFER_SIZE: 22016
> BUFFER_BYTES: 88064
> TICK_TIME: 0
> 
> 
> No sound... I'll post this as a note to the bug report.

Please reply to 614610@bugs.debian.org as well, so that everything
is documented to your bug.

Elimar


-- 
  "Talking much about oneself can also 
   be a means to conceal oneself."
         -Friedrich Nietzsche
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>:
Bug#614610; Package alsa-base. (Wed, 23 Feb 2011 01:33:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to hwpeters@jamadots.com:
Extra info received and forwarded to list. Copy sent to Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>. (Wed, 23 Feb 2011 01:33:07 GMT) Full text and rfc822 format available.

Message #25 received at 614610@bugs.debian.org (full text, mbox):

From: "Henry W. Peters" <hwpeters@jamadots.com>
To: Elimar Riesebieter <riesebie@lxtec.de>
Cc: 614610@bugs.debian.org
Subject: Re: Bug#614610: [alsa-base] after feb 22, 2011 Squeeze "upgrade, " alsa will not load my sound module (echo mia). NO sound.
Date: Tue, 22 Feb 2011 20:22:41 -0500
I did a search, both in my home folder & system files, on the word 
'.asoundrc' & neither places did such a file show up.

I also tried doing 'aplay -vv /home/henry/Music/LouisArmstrong.wav' as 
root (I did assume you actually wanted the result with the resaved 
'.asoundrc' so this probably does not mean much), same result (pasted 
below):

# aplay -vv /home/henry/Music/LouisArmstrong.wav
Playing WAVE '/home/henry/Music/LouisArmstrong.wav' : Signed 16 bit 
Little Endian, Rate 44100 Hz, Stereo
aplay: set_params:1116: Unable to install hw params:
ACCESS:  RW_INTERLEAVED
FORMAT:  S16_LE
SUBFORMAT:  STD
SAMPLE_BITS: 16
FRAME_BITS: 32
CHANNELS: 2
RATE: 44100
PERIOD_TIME: (124807 124808)
PERIOD_SIZE: 5504
PERIOD_BYTES: 22016
PERIODS: 4
BUFFER_TIME: (499229 499230)
BUFFER_SIZE: 22016
BUFFER_BYTES: 88064
TICK_TIME: 0

Henry
P.s., to be (more) clear, were you wanting me basically just to rename 
'.asoundrc' if I actually found it?


On 02/22/2011 05:52 PM, Elimar Riesebieter wrote:
> * Henry W. Peters [110222 17:28 -0500]:
>    
>> Hi Elimar,
>>
>> Here is the result of
>>
>> ~$ aplay -vv /home/henry/Music/LouisArmstrong.wav
>> Playing WAVE '/home/henry/Music/LouisArmstrong.wav' : Signed 16 bit Little
>>      
> Do you have a $HOME/.asoundrc flowing around?
> If so, move your .asoundrc to .asoundrc.save and test again.
>
> Could you please test the same as root?
>
> Are the mixer controls set right?
>
>    
>> Endian, Rate 44100 Hz, Stereo
>> aplay: set_params:1116: Unable to install hw params:
>> ACCESS:  RW_INTERLEAVED
>> FORMAT:  S16_LE
>> SUBFORMAT:  STD
>> SAMPLE_BITS: 16
>> FRAME_BITS: 32
>> CHANNELS: 2
>> RATE: 44100
>> PERIOD_TIME: (124807 124808)
>> PERIOD_SIZE: 5504
>> PERIOD_BYTES: 22016
>> PERIODS: 4
>> BUFFER_TIME: (499229 499230)
>> BUFFER_SIZE: 22016
>> BUFFER_BYTES: 88064
>> TICK_TIME: 0
>>
>>
>> No sound... I'll post this as a note to the bug report.
>>      
> Please reply to 614610@bugs.debian.org as well, so that everything
> is documented to your bug.
>
> Elimar
>
>
>    




Information forwarded to debian-bugs-dist@lists.debian.org, Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>:
Bug#614610; Package alsa-base. (Thu, 24 Feb 2011 16:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to hwpeters@jamadots.com:
Extra info received and forwarded to list. Copy sent to Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>. (Thu, 24 Feb 2011 16:00:03 GMT) Full text and rfc822 format available.

Message #30 received at 614610@bugs.debian.org (full text, mbox):

From: "Henry W. Peters" <hwpeters@jamadots.com>
To: Elimar Riesebieter <riesebie@lxtec.de>
Cc: 614610@bugs.debian.org
Subject: Re: Bug#614610: [alsa-base] after feb 22, 2011 Squeeze "upgrade, " alsa will not load my sound module (echo mia). NO sound.
Date: Thu, 24 Feb 2011 10:57:34 -0500
Hi Elimar,

I have been in touch with the person who wrote the drivers for my sound 
card (Giuliano Pochini <pochini@shiny.it>), I in1quired as to the 
possible usefulness (in terms of resolving my sound problem) in updating 
the alsa drivers... (there is a newer version). He said:

>> Problem for me, is this question (in terms of installation);
>
> I should overwrite the modules. The you have to either reboot or remove and reload them. Just do:
>
> tar xjf alsa-driver-xxx.tar.bz2
> cd alsa-driver-xxx
> ./configure --with-cards=mia,virmidi --with-sequencer=yes
> make
> make install
> reboot
>
> virmidi may be useful (for example it allows you to route the output of
> scummvm to Timidity). Add other cards to the list if any. The modules will be installed in /lib/modules/<version>/kernel/sound/ .
>
>
>> > The alsa web page on installation seems to assume that alsa is not
>> > installed (perhaps I am reading this incorrectly?),
>
> It's very simple: just do the steps above.

If, by chance, you are hot on the trail of a bug in the system, & it 
would be helpful for me to test something or the other, I would be 
willing, for the sake of Linux usability, to wait to try the above to 
test some potential resolution to my now defunct sound problem, 
otherwise, I am thinking I should like to try & update the alsa-driver 
(i.e., to alsa-driver-1.0.24), I am in the middle of some audio/midi 
projects, etc..

Thanks much, as always.

Henry
P.s., I sent the last email to the 614610@bugs.debian.org address, I 
received an acknowledgment of receipt, but did not see this at the bug 
web site, I guess I do not really know how this system works, since I 
use alsa quite a bit, some direction that explains could help me to 
report bugs, etc., in the future, better (possibly), if need be, & or to 
help out, as possible.


> I did a search, both in my home folder & system files, on the word '.asoundrc' & neither places did such a file show up.
>
> I also tried doing 'aplay -vv /home/henry/Music/LouisArmstrong.wav' as root (I did assume you actually wanted the result with the resaved '.asoundrc' so this probably does not mean much), same result (pasted below):
>
> # aplay -vv /home/henry/Music/LouisArmstrong.wav
> Playing WAVE '/home/henry/Music/LouisArmstrong.wav' : Signed 16 bit Little Endian, Rate 44100 Hz, Stereo
> aplay: set_params:1116: Unable to install hw params:
> ACCESS:  RW_INTERLEAVED
> FORMAT:  S16_LE
> SUBFORMAT:  STD
> SAMPLE_BITS: 16
> FRAME_BITS: 32
> CHANNELS: 2
> RATE: 44100
> PERIOD_TIME: (124807 124808)
> PERIOD_SIZE: 5504
> PERIOD_BYTES: 22016
> PERIODS: 4
> BUFFER_TIME: (499229 499230)
> BUFFER_SIZE: 22016
> BUFFER_BYTES: 88064
> TICK_TIME: 0
>
> Henry
> P.s., to be (more) clear, were you wanting me basically just to rename '.asoundrc' if I actually found it?
>
>
> On 02/22/2011 05:52 PM, Elimar Riesebieter wrote:
>> * Henry W. Peters [110222 17:28 -0500]:
>>
>>> Hi Elimar,
>>>
>>> Here is the result of
>>>
>>> ~$ aplay -vv /home/henry/Music/LouisArmstrong.wav
>>> Playing WAVE '/home/henry/Music/LouisArmstrong.wav' : Signed 16 bit Little
>>>
>> Do you have a $HOME/.asoundrc flowing around?
>> If so, move your .asoundrc to .asoundrc.save and test again.
>>
>> Could you please test the same as root?
>>
>> Are the mixer controls set right?
>>
>>
>>> Endian, Rate 44100 Hz, Stereo
>>> aplay: set_params:1116: Unable to install hw params:
>>> ACCESS:  RW_INTERLEAVED
>>> FORMAT:  S16_LE
>>> SUBFORMAT:  STD
>>> SAMPLE_BITS: 16
>>> FRAME_BITS: 32
>>> CHANNELS: 2
>>> RATE: 44100
>>> PERIOD_TIME: (124807 124808)
>>> PERIOD_SIZE: 5504
>>> PERIOD_BYTES: 22016
>>> PERIODS: 4
>>> BUFFER_TIME: (499229 499230)
>>> BUFFER_SIZE: 22016
>>> BUFFER_BYTES: 88064
>>> TICK_TIME: 0
>>>
>>>
>>> No sound... I'll post this as a note to the bug report.
>>>
>> Please reply to 614610@bugs.debian.org as well, so that everything
>> is documented to your bug.
>>
>> Elimar
>>
>>
>>




Information forwarded to debian-bugs-dist@lists.debian.org, Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>:
Bug#614610; Package alsa-base. (Thu, 10 Nov 2011 08:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>. (Thu, 10 Nov 2011 08:45:03 GMT) Full text and rfc822 format available.

Message #35 received at 614610@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: "Henry W. Peters" <hwpeters@jamadots.com>
Cc: 614610@bugs.debian.org
Subject: Re: alsa will not load my sound module (echo mia). NO sound.
Date: Thu, 10 Nov 2011 02:43:10 -0600
Hey Henry,

Henry W. Peters wrote:

> I am thinking I
> should like to try & update the alsa-driver (i.e., to alsa-driver-1.0.24), I
> am in the middle of some audio/midi projects, etc..
[...]
> I guess I do not really know how this system works, since I use alsa
> quite a bit, some direction that explains could help me to report bugs,
> etc., in the future, better (possibly)

Nice.  My only advice is to make the report a little briefer while still
saying everything important[1].  But I don't have a lot to complain
about there.

Anyway, now I'm in suspense.  Did updating the alsa driver make the
crashes go away?  Do you have a working system now, and if so, do you
know how it got that way (i.e., which component had to change in order
to make it so)?

Thanks for your work, and sorry for the slow response.

Jonathan

[1] http://www.chiark.greenend.org.uk/~sgtatham/bugs.html lists what
"everything important" means




Information forwarded to debian-bugs-dist@lists.debian.org, Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>:
Bug#614610; Package alsa-base. (Tue, 29 Nov 2011 05:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>. (Tue, 29 Nov 2011 05:03:06 GMT) Full text and rfc822 format available.

Message #40 received at 614610@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: "Henry W. Peters" <hwpeters@jamadots.com>
Cc: 614610@bugs.debian.org
Subject: Re: alsa will not load my sound module (echo mia). NO sound.
Date: Mon, 28 Nov 2011 22:59:28 -0600
tags 614610 + moreinfo
quit

Jonathan Nieder wrote:

> Anyway, now I'm in suspense.  Did updating the alsa driver make the
> crashes go away?  Do you have a working system now, and if so, do you
> know how it got that way (i.e., which component had to change in order
> to make it so)?

Ping?




Added tag(s) moreinfo. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Tue, 29 Nov 2011 05:03:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>:
Bug#614610; Package alsa-base. (Sun, 11 Dec 2011 18:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ed Abbott <ed@websiterepairguy.com>:
Extra info received and forwarded to list. Copy sent to Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>. (Sun, 11 Dec 2011 18:15:03 GMT) Full text and rfc822 format available.

Message #47 received at 614610@bugs.debian.org (full text, mbox):

From: Ed Abbott <ed@websiterepairguy.com>
To: 614610@bugs.debian.org
Subject: I Appear to Have the Same Bug
Date: Sun, 11 Dec 2011 13:12:24 -0500
Hello,

I appear to have the same bug.

My report will be somewhat clumsy as I have absolutely
no familiarity with this forum.  Is this the right way to give
information?  I'm not sure.

Here's my version of Debian:

$ uname -r
2.6.32-5-686

There's one major difference between my version of Debian
and that of the original poster.  The OP upgraded from Lenny
to Squeeze.  My version of Squeeze is a fresh install on a new
hard drive.

I've since diluted the purity of my situation by trying to do a
fresh install of the Alsa drivers from here:

http://www.alsa-project.org/main/index.php/Download

In doing this, an error message that I got while running
dmesg went away.  This error message was in regards to
the Echo Mia firmware not being in place.  Unfortunately,
I did not save a copy of that error message.

In other words, Linux let me know at boot time that the
Echo Mia firmware is not there.

I'd be happy to uninstall the ALSA software that I installed
to restore the purity of my situation.  By purity, I mean a
pure Debian install using the aptitude command.

Do I do a 'make uninstall' to uninstall?  I have no experience 
uninstalling software that I've installed from source code.

My somewhat vague understanding of Debian is that Debian
does not use proprietary drivers.  Since the missing firmware
seems to be proprietary, maybe the original posters problem
is that Debian does not and will not install proprietary firmware.

The Alsa Project has a package called alsa-firmware.  This
package made the error message that appeared on bootup
go away.  I'm referring to the missing firmware error message.

In the end, though, the result is the same.  My Echo Mia Midi
Sound Card produces no sound in my speakers.

Let me know if I can be helpful in any way.  Thanks in advance
to anyone who has made it this far reading this somewhat long
message.

Ed Abbott





Information forwarded to debian-bugs-dist@lists.debian.org, Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>:
Bug#614610; Package alsa-base. (Sun, 11 Dec 2011 19:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Elimar Riesebieter <riesebie@lxtec.de>:
Extra info received and forwarded to list. Copy sent to Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>. (Sun, 11 Dec 2011 19:18:03 GMT) Full text and rfc822 format available.

Message #52 received at 614610@bugs.debian.org (full text, mbox):

From: Elimar Riesebieter <riesebie@lxtec.de>
To: Ed Abbott <ed@websiterepairguy.com>, 614610@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: [Pkg-alsa-devel] Bug#614610: I Appear to Have the Same Bug
Date: Sun, 11 Dec 2011 20:14:28 +0100
tags 614610 wontfix
thanks


* Ed Abbott [111211 13:12 -0500]:

> Hello,
> 
> I appear to have the same bug.
> 
> My report will be somewhat clumsy as I have absolutely
> no familiarity with this forum.  Is this the right way to give
> information?  I'm not sure.

Well, AFAIK Echo MI needs firmwrae licated ind the alsa-firmware
package which is not distributed by Drbian yet.

Elimar

-- 
  Obviously the human brain works like a computer.
  Since there are no stupid computers humans can't be stupid.
  There are just a few running with Windows or even CE ;-)




Added tag(s) wontfix. Request was from Elimar Riesebieter <riesebie@lxtec.de> to control@bugs.debian.org. (Sun, 11 Dec 2011 19:18:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>:
Bug#614610; Package alsa-base. (Sat, 24 Dec 2011 00:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>. (Sat, 24 Dec 2011 00:12:03 GMT) Full text and rfc822 format available.

Message #59 received at 614610@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Elimar Riesebieter <riesebie@lxtec.de>
Cc: Ed Abbott <ed@websiterepairguy.com>, 614610@bugs.debian.org, 614610-submitter@bugs.debian.org
Subject: echo mia crashes
Date: Fri, 23 Dec 2011 18:09:20 -0600
Elimar Riesebieter wrote:

> Well, AFAIK Echo MI needs firmwrae licated ind the alsa-firmware
> package which is not distributed by Drbian yet.

Thanks, Elimar.  Could you say a little more about this?  Looking at
[1] and [2] I don't see any information about an alsa-firmware package
being requested and progress in making it happen.  And the failure
mode here (crashes, mostly) does not match my expectation for how a
non-buggy operating system would report missing firmware.  Perhaps
there is room for people to help in that direction.

[1] http://www.debian.org/devel/wnpp/being_packaged
[2] http://www.debian.org/devel/wnpp/requested




Message sent on to hwpeters@jamadots.com:
Bug#614610. (Sat, 24 Dec 2011 00:12:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>:
Bug#614610; Package alsa-base. (Sat, 24 Dec 2011 02:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>. (Sat, 24 Dec 2011 02:09:04 GMT) Full text and rfc822 format available.

Message #67 received at 614610@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Elimar Riesebieter <riesebie@lxtec.de>
Cc: Ed Abbott <ed@websiterepairguy.com>, 614610@bugs.debian.org, 614610-submitter@bugs.debian.org
Subject: Re: echo mia crashes
Date: Fri, 23 Dec 2011 20:05:05 -0600
tags 614610 - moreinfo
quit

Hi again,

Elimar Riesebieter wrote:
> * Ed Abbott [111211 13:12 -0500]:

>> The Alsa Project has a package called alsa-firmware.  This
>> package made the error message that appeared on bootup
>> go away.  I'm referring to the missing firmware error message.
>>
>> In the end, though, the result is the same.  My Echo Mia Midi
>> Sound Card produces no sound in my speakers.
[...]
> tags 614610 wontfix
[...]
> Well, AFAIK Echo MI needs firmwrae licated ind the alsa-firmware
> package which is not distributed by Drbian yet.

Looking over Ed's message, it seems that he said installing the
firmware was not enough to get sound working.  Did I miss something?

A little puzzled,
Jonathan




Removed tag(s) moreinfo. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Sat, 24 Dec 2011 02:09:05 GMT) Full text and rfc822 format available.

Message sent on to hwpeters@jamadots.com:
Bug#614610. (Sat, 24 Dec 2011 02:09:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>:
Bug#614610; Package alsa-base. (Sat, 24 Dec 2011 17:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ed Abbott <ed@websiterepairguy.com>:
Extra info received and forwarded to list. Copy sent to Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>. (Sat, 24 Dec 2011 17:33:03 GMT) Full text and rfc822 format available.

Message #77 received at 614610@bugs.debian.org (full text, mbox):

From: Ed Abbott <ed@websiterepairguy.com>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: Elimar Riesebieter <riesebie@lxtec.de>, 614610@bugs.debian.org, 614610-submitter@bugs.debian.org
Subject: Re: echo mia crashes
Date: Sat, 24 Dec 2011 12:24:51 -0500
On Friday 23 December 2011 21:05:05 Jonathan Nieder wrote:
> tags 614610 - moreinfo
> quit
> 
> Hi again,
> 
> Elimar Riesebieter wrote:
> > * Ed Abbott [111211 13:12 -0500]:
> >> The Alsa Project has a package called alsa-firmware.  This
> >> package made the error message that appeared on bootup
> >> go away.  I'm referring to the missing firmware error message.
> >> 
> >> In the end, though, the result is the same.  My Echo Mia Midi
> >> Sound Card produces no sound in my speakers.
> 
> [...]
> 
> > tags 614610 wontfix
> 
> [...]
> 
> > Well, AFAIK Echo MI needs firmwrae licated ind the alsa-firmware
> > package which is not distributed by Drbian yet.
> 
> Looking over Ed's message, it seems that he said installing the
> firmware was not enough to get sound working.  Did I miss something?
> 
> A little puzzled,
> Jonathan

Hi all,

Sorry if I'm using the wrong protocol to answer this
email.  I'm using a reply all.  I'm not used to reporting
bugs so I don't know the right way to do it.

I need to take some more time in the next few days and
try again.  I'm not sure that the alsa software and the
firmware are properly matched in terms of version number.

I may have confused the issue by using the most recent
versions of alsa to try to get Echo Mia to work.

Here's what I'll try when I get the opportunity:

1 -- uninstall everything from the alsa website that I've
previously installed from source code packages.

2 -- Reinstall the current Debian Squeeze version of alsa

3 -- Reinstall the firmware from the alsa site.  Two things
I need to be careful of is to get the matching version number
for the firmware and to use the correct version of the gcc 
compiler that goes with my kernel.

Last time I worked on the Echo Mia problem, I was able to
get the missing firmware message to go away when booting
up.  However, I did not get the Echo Mia card to actually
work.  My sound card is still silent when trying to play YouTube
videos.

I'll try to get all version numbers to match up perfectly before
trying anything else.

I don't do this sort of thing very often so I'm somewhat 
inexperienced.

Ed
.





Message sent on to hwpeters@jamadots.com:
Bug#614610. (Sat, 24 Dec 2011 17:33:12 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>:
Bug#614610; Package alsa-base. (Sat, 24 Dec 2011 20:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>. (Sat, 24 Dec 2011 20:51:03 GMT) Full text and rfc822 format available.

Message #85 received at 614610@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Ed Abbott <ed@websiterepairguy.com>
Cc: Elimar Riesebieter <riesebie@lxtec.de>, 614610@bugs.debian.org, 614610-submitter@bugs.debian.org
Subject: Re: echo mia crashes
Date: Sat, 24 Dec 2011 14:48:35 -0600
Hi Ed,

Ed Abbott wrote:

> I need to take some more time in the next few days and
> try again.  I'm not sure that the alsa software and the
> firmware are properly matched in terms of version number.

Honestly I don't suspect that is needed.  What would be useful is

 - for someone to summarize the current status of packaging ALSA
   firmware and what remains to be done in that direction

 - for someone to test the latest ALSA driver and let us know
   how it behaves.  Please consider using the "checkinstall"
   program if using the upstream sources directly without
   packaging.

 - if a newer version of the ALSA kernelspace or userspace driver
   fixes this, for someone to package it for Debian.

Sorry for the trouble, and hope that helps.
Jonathan




Message sent on to hwpeters@jamadots.com:
Bug#614610. (Sat, 24 Dec 2011 20:51:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>:
Bug#614610; Package alsa-base. (Sun, 25 Dec 2011 23:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jordi Mallach <jordi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>. (Sun, 25 Dec 2011 23:39:03 GMT) Full text and rfc822 format available.

Message #93 received at 614610@bugs.debian.org (full text, mbox):

From: Jordi Mallach <jordi@debian.org>
To: Jonathan Nieder <jrnieder@gmail.com>, 614610@bugs.debian.org
Cc: Ed Abbott <ed@websiterepairguy.com>, 614610-submitter@bugs.debian.org
Subject: Re: [Pkg-alsa-devel] Bug#614610: echo mia crashes
Date: Mon, 26 Dec 2011 00:35:07 +0100
[Message part 1 (text/plain, inline)]
On Sat, Dec 24, 2011 at 02:48:35PM -0600, Jonathan Nieder wrote:
>  - for someone to summarize the current status of packaging ALSA
>    firmware and what remains to be done in that direction

I talked to Ben about this a few days ago, and we concluded:

 - We want alsa-firmware in Debian, as part of firmware-linux
 - Before this happens in Debian, we want to see if ALSA upstream would
   agree to move alsa-firmware to the firmware-linux official
   tree/releases. As Ben is one of the maintainers, we already know they
   would accept it, so we just need ALSA's say on this.
 - Once it is, Ben would import it and eventually it would appear in
   Debian.

So, in short, I agreed with Ben that I'd contact tiwai and perex to see
what they think, and then act accordingly to the outcome.

-- 
Jordi Mallach PĂ©rez  --  Debian developer     http://www.debian.org/
jordi@sindominio.net     jordi@debian.org     http://www.sindominio.net/
GnuPG public key information available at http://oskuro.net/
[signature.asc (application/pgp-signature, inline)]

Message sent on to hwpeters@jamadots.com:
Bug#614610. (Sun, 25 Dec 2011 23:39:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>:
Bug#614610; Package alsa-base. (Sun, 01 Jan 2012 21:03:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>. (Sun, 01 Jan 2012 21:03:07 GMT) Full text and rfc822 format available.

Message #101 received at 614610@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Jordi Mallach <jordi@debian.org>
Cc: 614610@bugs.debian.org, Ed Abbott <ed@websiterepairguy.com>, 614610-submitter@bugs.debian.org
Subject: Re: echo mia crashes
Date: Sun, 1 Jan 2012 15:00:05 -0600
found 597897 firmware-nonfree/0.34
tags 614610 - wontfix
block 614610 by 597897
quit

Hi Jordi,

Jordi Mallach wrote:

> I talked to Ben about this a few days ago, and we concluded:
[...]
> So, in short, I agreed with Ben that I'd contact tiwai and perex to see
> what they think, and then act accordingly to the outcome.

Thanks for the clear explanation.  I guess this is tracked as
bug#597897.




Removed tag(s) wontfix. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Sun, 01 Jan 2012 21:03:19 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 614610: 597897 and 627153 Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Sun, 01 Jan 2012 21:03:19 GMT) Full text and rfc822 format available.

Message sent on to hwpeters@jamadots.com:
Bug#614610. (Sun, 01 Jan 2012 21:03:24 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'https://bugtrack.alsa-project.org/alsa-bug/view.php?id=5282'. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Wed, 04 Jan 2012 01:27:05 GMT) Full text and rfc822 format available.

Severity set to 'normal' from 'serious' Request was from edward@allcutt.me.uk to control@bugs.debian.org. (Sat, 03 Mar 2012 21:36:05 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 23:50:38 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.